HomeGuidesAPI ReferenceChangelog
Log In
API Reference

List Properties

Return a list of Property Keys and sub-property keys based on search criteria.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this endpoint to return a list of Property Keys and sub-property keys based on search criteria.

When to use this endpoint

Use GET /rest/public/properties when you need to:

  • Find Property Keys used by tariffs or calculations.
  • Filter properties by dataType, family, or keySpace.
  • Retrieve LSE-specific properties by using entityType and entityId.
  • Find LOOKUP Property Keys before querying lookup table values.

Common filters

ParameterTypeDescription
dataTypeStringFilters results to properties with the specified data type.
familyStringFilters results by property family, such as billing, metering, or connection.
keySpaceStringFilters results by keyspace, such as electricity, market, tariff, or solarPv.
entityIdLongFilters to properties that belong to the specified entity. Use with entityType.
entityTypeStringFilters to properties that belong to the specified entity type. Use with entityId.
excludeGlobalBooleanFilters results to only entity-specific properties.

Related endpoints

Request Parameters

Along with the standard pagination parameterssearching and sorting parameters, and the required security parameters, the following parameters are available as part of the request:

Query Params
string

Filters the result set to only include properties that have the specified dataType

string

Filters the result by the family. Examples of family include "billing", "metering" and "connection". Look at the properties to see more examples of the family

string

Filters the result by the key space. Possible values include "electricity" and "solarPv"

int64

Filters the result set to only include properties that belong to this entityId. entityType must also be specified, otherwise this is ignored

string

Filters the result set to only include properties that belong to this entityType. entityId must also be specified, otherwise this is ignored. Currently the only supported value is "LSE"

boolean

Filters the result set to only include entity specific properties.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json